Package org.apache.uima.search.impl

# Class Attribute_impl

java.lang.Object
org.apache.uima.resource.metadata.impl.MetaDataObject_impl
org.apache.uima.search.impl.Attribute_impl

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `MetaDataObject`, `Attribute`, `XMLizable`

public class Attribute_impl extends MetaDataObject_impl implements Attribute

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

  `MetaDataObject_impl.MetaDataAttr, MetaDataObject_impl.SerialContext, MetaDataObject_impl.Serializer`

- ## Field Summary

  ### Fields inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

  `serialContext`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Attribute_impl()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `buildFromXMLElement(Element aElement, XMLParser aParser, XMLParser.ParsingOptions aOptions)`
  Overridden to read the name and value properties from XML attributes.
  `String`
  `getName()`
  Gets the name of this attribute.
  `String`
  `getValue()`
  Gets the value of this attribute.
  `protected AttributesImpl`
  `getXMLAttributes()`
  Overridden to write the name and value properties as XML attributes.
  `protected XmlizationInfo`
  `getXmlizationInfo()`
  To be implemented by subclasses to return information describing how to represent this object in XML.
  `void`
  `setName(String aName)`
  Sets the name of this attribute.
  `void`
  `setValue(String aValue)`
  Sets the value of this attribute.

  ### Methods inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

  `buildFromXMLElement, clone, equals, getAdditionalAttributes, getAttributeClass, getAttributeValue, getInfoset, getMatchingNode, getPropertyDescriptors, getPropertyXmlInfo, getRelativePathBase, getSerialContext, getSourceUrl, getSourceUrlString, getWrapperClass, hashCode, isModifiable, listAttributes, readArrayPropertyValueFromXMLElement, readMapPropertyFromXml, readPropertyValueFromXMLElement, readUnknownPropertyValueFromXMLElement, resolveSettings, setAttributeValue, setInfoset, setSourceUrl, setSourceUrlIfNull, toString, toXML, toXML, toXML, toXML, valueIsNullOrEmptyArray, writeArrayPropertyAsElement, writeMapPropertyToXml, writePropertyAsElement`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.uima.util.XMLizable

  `buildFromXMLElement, toXML, toXML, toXML, toXML`

- ## Constructor Details

  - ### Attribute_impl

    public Attribute_impl()

- ## Method Details

  - ### getName

    public String getName()
    Description copied from interface: `Attribute`
    Gets the name of this attribute.
    Specified by:
      `getName` in interface `Attribute`
    Returns:
      the name of this attribute

  - ### setName

    public void setName(String aName)
    Description copied from interface: `Attribute`
    Sets the name of this attribute.
    Specified by:
      `setName` in interface `Attribute`
    Parameters:
      `aName` - the name of this attribute

  - ### getValue

    public String getValue()
    Description copied from interface: `Attribute`
    Gets the value of this attribute.
    Specified by:
      `getValue` in interface `Attribute`
    Returns:
      the value of this attribute

  - ### setValue

    public void setValue(String aValue)
    Description copied from interface: `Attribute`
    Sets the value of this attribute.
    Specified by:
      `setValue` in interface `Attribute`
    Parameters:
      `aValue` - the value of this attribute

  - ### getXMLAttributes

    protected AttributesImpl getXMLAttributes()
    Overridden to write the name and value properties as XML attributes.
    Overrides:
      `getXMLAttributes` in class `MetaDataObject_impl`
    Returns:
      an object defining the attributes to be written to the XML
    See Also:
      - `MetaDataObject_impl.getXMLAttributes()`

  - ### buildFromXMLElement

    public void buildFromXMLElement(Element aElement, XMLParser aParser, XMLParser.ParsingOptions aOptions) throws InvalidXMLException
    Overridden to read the name and value properties from XML attributes.
    Specified by:
      `buildFromXMLElement` in interface `XMLizable`
    Overrides:
      `buildFromXMLElement` in class `MetaDataObject_impl`
    Parameters:
      `aElement` - the XML element that represents this object.
      `aParser` - a reference to the UIMA `XMLParser`. The `XMLParser.buildObject(Element)` method can be used to construct sub-objects.
      `aOptions` - option settings
    Throws:
      `InvalidXMLException` - if the input XML element does not specify a valid object
    See Also:
      - `XMLizable.buildFromXMLElement(org.w3c.dom.Element, org.apache.uima.util.XMLParser)`

  - ### getXmlizationInfo

    protected XmlizationInfo getXmlizationInfo()
    Description copied from class: `MetaDataObject_impl`
    To be implemented by subclasses to return information describing how to represent this object in XML.
    Specified by:
      `getXmlizationInfo` in class `MetaDataObject_impl`
    Returns:
      information defining this object's XML representation